Reactivate an External Account
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate \
--header 'Api-Key: <api-key>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', 'Api-Key': '<api-key>'}
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate")
.header("Idempotency-Key", "<idempotency-key>")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"account_owner_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"active": true,
"account_type": "us",
"currency": "usd",
"account": {
"routing_number": "<string>",
"last_4": "<string>",
"checking_or_savings": "checking"
},
"bank_name": "<string>",
"account_owner_type": "individual",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"country": "<string>",
"street_line_2": "<string>",
"state": "<string>",
"postal_code": "<string>"
},
"account_owner_country": "<string>",
"deactivation_reason": "plaid_item_error",
"deactivation_details": "<string>",
"beneficiary_address_valid": true,
"last_4": "<string>"
}{
"code": "invalid_parameters",
"message": "Please resubmit the following parameters that are either missing or invalid.",
"source": {
"key": {
"status": "External account already active"
}
}
}External Accounts
Reactivate an External Account
Reactivate a previously deactivated External Account
POST
/
customers
/
{customerID}
/
external_accounts
/
{externalAccountID}
/
reactivate
Reactivate an External Account
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate \
--header 'Api-Key: <api-key>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', 'Api-Key': '<api-key>'}
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate")
.header("Idempotency-Key", "<idempotency-key>")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"account_owner_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"active": true,
"account_type": "us",
"currency": "usd",
"account": {
"routing_number": "<string>",
"last_4": "<string>",
"checking_or_savings": "checking"
},
"bank_name": "<string>",
"account_owner_type": "individual",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"country": "<string>",
"street_line_2": "<string>",
"state": "<string>",
"postal_code": "<string>"
},
"account_owner_country": "<string>",
"deactivation_reason": "plaid_item_error",
"deactivation_details": "<string>",
"beneficiary_address_valid": true,
"last_4": "<string>"
}{
"code": "invalid_parameters",
"message": "Please resubmit the following parameters that are either missing or invalid.",
"source": {
"key": {
"status": "External account already active"
}
}
}Path Parameters
Response
Reactivated External Account object
- ACH/Wire
- IBAN
- CLABE
- Pix
- GB
- Bre-B
- CO Bank Transfer
US bank account using account and routing numbers for ACH or Wire transfers
Owner of the account Bank Account (e.g. "John Doe"). For ach, wire, and iban accounts, this field must be at least 3 characters, at most 35 characters, and follow the regex pattern for the given account type:
- ach:
^(?!\s*$)[\x20-\x7E]*$ - wire:
^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$ - iban:
^(?![:\- ]*$)[a-zA-Z0-9\/\-?:().,'+ _]+$
Required string length:
1 - 256Was this page helpful?